#include "aboutdialog.h"
#define STYLE_ICON                "icon-theme-name"
#define STYLE_ICON_NAME           "iconThemeName"
#define SUPPORT "<u>support@kylinos.cn</u>"

aboutdialog::aboutdialog(QWidget *parent)
   : kdk::KAboutDialog(parent)
{
    setWindowIcon(QIcon::fromTheme("kylin-screenshot"));
    setAppIcon(QIcon::fromTheme("kylin-screenshot"));
    setAppName(tr("screenshot"));
    setAppVersion(tr("Version: ") + getScreenshotVersion());
    this->closeButton()->setToolTip(tr("Close"));
   // initGsetting();
//    fontSizeInit();
    setAccessibleName("kylin-screenshot_KAboutDialog_aboutDialog");
    closeButton()->setAccessibleName("kylin-screenshot_QPushButton_closeButton");
    maximumButton()->setAccessibleName("kylin-screenshot_QPushButton_maximumButton");
    minimumButton()->setAccessibleName("kylin-screenshot_QPushButton_minimumButton");
    menuButton()->setAccessibleName("kylin-screenshot_KMenuButton_menuButtonn");
    mainWidget()->setAccessibleName("kylin-screenshot_QWidget_mainWidget");
}
void aboutdialog::initGsetting(){
    if(QGSettings::isSchemaInstalled(UKUI_STYLE)){
        m_pGsettingThemeData = new QGSettings(UKUI_STYLE);
        connect(m_pGsettingThemeData,&QGSettings::changed,this,&aboutdialog::dealSystemGsettingChange);
    }
}
void aboutdialog::fontSizeInit(){
    connect(this,&aboutdialog::setFontSize,this,&aboutdialog::dealSetFontSize);
    QGSettings* m_fontsize = nullptr;
    if(QGSettings::isSchemaInstalled(UKUI_STYLE)){
        m_fontsize = new QGSettings(UKUI_STYLE);
        connect(m_fontsize,&QGSettings::changed,this,[=](const QString &key){
            if(key == UKUI_FONT_SIZE || key==UKUI_FONT){
                int fontsize = m_fontsize->get(UKUI_FONT_SIZE).toInt();
                QString fontname=m_fontsize->get(UKUI_FONT).toString();
                qDebug()<<"font"<<fontname;
                if(fontsize > 0){
                    emit setFontSize(fontsize,fontname);
                }
            }
        });
    }
    if(m_fontsize){
        dealSetFontSize(m_fontsize->get(UKUI_FONT_SIZE).toInt(),m_fontsize->get(UKUI_FONT).toString());
    }
}
void aboutdialog::dealSetFontSize(int size,QString name){
    QFont font;
    font.setFamily(name);
    font.setPointSize(size);
    this->setFont(font);
}
void aboutdialog::dealSystemGsettingChange(const QString key){
    if(key==STYLE_ICON_NAME || key==STYLE_ICON){
        this->setAppIcon(QIcon::fromTheme("kylin-screenshot"));
    }
}

QString aboutdialog::getScreenshotVersion()
{
    FILE *pp = NULL;
       char *line = NULL;
       size_t len = 0;
       ssize_t read;
       char *q = NULL;
       QString version = tr("none");

       pp = popen("dpkg -l kylin-screenshot", "r");
       if(NULL == pp)
           return version;

       while((read = getline(&line, &len, pp)) != -1){
           q = strrchr(line, '\n');
           *q = '\0';

           QString content = line;
           QStringList list = content.split(" ");

           list.removeAll("");

           if (list.size() >= 3)
               version = list.at(2);
       }

       free(line);
       pclose(pp);
       return version;
}
